<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
   $vg_empresa=$_SESSION["empresa"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="Parametros_tercero";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=Parametros_tercero';";
echo "</script>";
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php  echo $nombreprograma." - ".$version; ?></title>
  <script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
 <script src="../bootstrap/js/bootstrap.min.js"></script>
 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 
   <link rel="stylesheet" href="../plugins1/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins1/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins1/datatables-buttons/css/buttons.bootstrap4.min.css">
  
</head>
<body>

<?php
$tabla="par_tercero";
include "../conexion.php";
$id="";$nombre="";$estado="";$direccion="";$telefono="";$email="";$contacto="";$documento="";$estado="";$nit="";


$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM estado where tipo='PARAMETROS' order by nombre asc");

if($_REQUEST["id"]<>'')
	{ $id=$_REQUEST["id"]; 		    
		  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM $tabla   where id='".$_REQUEST["id"]."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1)
				{$sql_datos =mysqli_query($conexion,"select  nit,nombre,direccion,telefono,email,contacto,nit,estado
												    FROM $tabla
										  			where id='".$_REQUEST["id"]."'");
						while($datos= mysqli_fetch_row($sql_datos))
						{ 
							$nit=$datos[0]; 						
							$nombre=$datos[1]; 	
							$direccion=$datos[2]; 	
							$telefono=$datos[3]; 	
							$email=$datos[4]; 	
							$contacto=$datos[5]; 	
							$nit=$datos[6]; 	
							$estado=$datos[7]; 	
					   }
				}
}


if(isset($_REQUEST['oculto']))
  { 
		$id=$_REQUEST["id"];   		
		$nombre=$_REQUEST["nombre"];   
		$direccion=$_REQUEST["direccion"];  
		$telefono=$_REQUEST["telefono"];  
		$email=$_REQUEST["email"];  
		$contacto=$_REQUEST["contacto"];  
		$estado=$_REQUEST["estado"];  
		$nit=$_REQUEST["nit"];  
	
					
if($_REQUEST["oguardar"]==1)
	 {   
		  if($nombre<>"") 
		  {
			  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM $tabla  where nit='".$nit."'");
			  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
			  if($contar>=1) {echo "<script>alert('Ya existe el registro');</script>";}
			  else
				{ $busqueda=1;
				  $sql_insert=mysqli_query($conexion,"insert into $tabla(nit,nombre,direccion,telefono,email,contacto,estado)
										  values('".$nit."','".$nombre."','".$direccion."','".$telefono."','".$email."','".$contacto."','".$estado."')"); 
				 if($sql_insert)
				   {
				      $mensaje="Se registro ";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				   }	
				 else 
				  {
				    $mensaje="Error al registrar ";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
				  }				
				}
		 }
		 else {
			   $mensaje="Digite la Informacion Requerida";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
		 }				

	 }//fin guardar

if($_REQUEST["omodificar"]==1)
	 {   
		  $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM $tabla where id='".$id."'");
		  while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1) 
			{ $busqueda=1;
			  $sql_update=mysqli_query($conexion,"update $tabla set
			  										nit='".$nit."',
													nombre='".$nombre."',
													direccion='".$direccion."',
													telefono='".$telefono."',
													email='".$email."',
													contacto='".$contacto."',
													estado='".$estado."'
												  where id='".$id."'"); 
			 if($sql_update)

			   {
			    $mensaje="Se modifico ";
					    ?>				  
						<script>
						cuteToast({
							  type: "success", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
			   }	
			 else 
			  {
			   $mensaje="Error al modificar";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
			  }				
			}
		  else
		   {
		    $mensaje="No existe el codigo";
					    ?>				  
						<script>
						cuteToast({
							  type: "error", // or 'info', 'error', 'warning'
							  message: "<?php echo $mensaje; ?>",
							  timer: 3000
							})
						</script>
                       <?php
		   }	
	 }//fin guardar


if($_REQUEST["obusca"]==1)
             {   
			     if($id<>"")
				 {
					 $sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM $tabla where nit='".$nit."'");
					   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
					  if($contar>=1)
						{ 	$sql_datos =mysqli_query($conexion,"select  nit,nombre,direccion,telefono,email,contacto,nit,estado
												    FROM $tabla
										  			where nit='".$_REQUEST["nit"]."'");
								while($datos= mysqli_fetch_row($sql_datos))
								{ 
									$nit=$datos[0]; 						
									$nombre=$datos[1]; 	
									$direccion=$datos[2]; 	
									$telefono=$datos[3]; 	
									$email=$datos[4]; 	
									$contacto=$datos[5]; 	
									$nit=$datos[6]; 	
									$estado=$datos[7]; 	
							   }
						}
						else
						  {
						    $mensaje="No existe el codigo";
								?>				  
								<script>
								cuteToast({
									  type: "error", // or 'info', 'error', 'warning'
									  message: "<?php echo $mensaje; ?>",
									  timer: 3000
									})
								</script>
							   <?php
						  }
				  }
             }//fin buscar

	if(isset ($_REQUEST['nuevo']))
	   { 
	   		$nit="";$nombre="";$direccion="";$email="";
			$representante="";	$telefono="";	$contacto="";
			$email_contacto=""; $email_fe=""; 
			$notifica="";$clave="";$email_contacto="";$email_notifica="";
	   }

  }

?>
<form name="parametros" method="post" action="" >
<div id="informes" class="container text-center" style="width:90%;">
    <div class="panel panel-primary">
      <div class="panel-heading">TERCERO</div>
      <div align="center">
      
  	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td width="83" height="0"> <div align="center">Codigo                        </div></td>
                      <td colspan="2"><input name="id" type="text"   id="id" value="<?php echo $id; ?>" 
                      class="form-control" data-placement="right"  style="width: 150px" 
							onKeyPress="if(event.keyCode==13){documento.focus();} "	
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td width="134"><div align="center">Doc/Nit </div></td>
                      <td width="742"><input name="nit" type="text"   id="nit" value="<?php echo $nit; ?>" 
                      class="form-control" data-placement="right"  style="width: 150px" 
								onKeyPress="if(event.keyCode==13){nombre.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                    </tr>
                    <tr> 
                      <td height="0"><div align="center">Nombre                       </div></td>
                      <td width="496" height="0"><input name="nombre" type="text"   id="nombre" value="<?php echo $nombre; ?>" 
                      class="form-control" data-placement="right"  style="width: 100%"                       
								onKeyPress="if(event.keyCode==13){direccion.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td width="89"><input name="Buscar" type="hidden" id="Buscar" value="Buscar" title="Clic para Guardar"  
                          class="btn btn-primary" onClick="obuscadato.value=1;" ></td>
                      <td height="0"><div align="center">Direccion </div></td>
                      <td height="0"><input name="direccion" type="text"   id="direccion" value="<?php echo $direccion; ?>" 
                      class="form-control" data-placement="right"  style="width: 100%"  
								onKeyPress="if(event.keyCode==13){telefono.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                    </tr>
                    <tr> 
                      <td height="1"><div align="center">Telefono                        </div></td>
                      <td height="1" colspan="2"><input name="telefono" type="text"   id="telefono" value="<?php echo $telefono; ?>"
                      class="form-control" data-placement="right"  style="width: 100%"  
								onKeyPress="if(event.keyCode==13){email.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td height="1"><div align="center">Email </div></td>
                      <td height="1"><input name="email" type="text"   id="email" value="<?php echo $email; ?>" 
                       class="form-control" data-placement="right"  style="width: 100%" 
								onKeyPress="if(event.keyCode==13){contacto.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                    </tr>
                    <tr>
                      <td height="1"><div align="center">Contacto                        </div></td>
                      <td height="1" colspan="2"><input name="contacto" type="text"   id="contacto" value="<?php echo $contacto; ?>" 
                      class="form-control" data-placement="right"  style="width: 100%"  
								onKeyPress="if(event.keyCode==13){cupo.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td height="1"><div align="center">Estado </div></td>
                      <td height="1"><select name="estado"  id="estado"
                            onfocus="this.style.background='#ccffff'" onblur="this.style.background='#FFFFDD'"
                            class="form-control" data-toggle="tooltip" data-placement="right" title="Seleccione el estado del empleado" style="width: 100px" >
                        <?php while ($rowba=mysqli_fetch_array($rs_estado))
									{
									 if ($estado==$rowba['id'])
										{echo "<option value=".$rowba['id']." selected>".substr($rowba['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowba['id'].">".substr($rowba['nombre'],0,40)."</option>";}		
									}
							 ?>
                      </select></td>
                    </tr>
                    <tr> 
                      <td colspan="5"><div align="center"> 
                          <input name="nuevo" type="submit"  id="nuevo"  value="Nuevo" class="btn btn-primary"  style="width: 100px"/>
                   	 <input name="guardar" type="button" id="guardar" value="Guardar" title="Clic para Guardar"  class="btn btn-primary" onClick="return pregunta_guardar();" >
                          <input name="modificar" type="button" id="modificar" value="Modificar" class="btn btn-primary" title="Clic para Modificar" onClick="return pregunta_modificar();">
                          <input name="oguardar" type="hidden" id="oguardar">
                          <input name="Obuscar" type="hidden" id="Obuscar">
                          <input name="omodificar" type="hidden" id="omodificar">
                          <input name="onuevo" type="hidden" id="onuevo">
                          <input name="oculto" type="hidden" id="oculto">
                          
                          <br>
                        </div></td>
                    </tr>
                  </table>
  
  
  
 <?php
 
    echo "<center> <table id='example1' class='table table-bordered table-striped' style='font-size:12px;' cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>";
	echo "<thead><tr>";
	echo "<th class='btn-primary' align='center'>Codigo</th>";
	echo "<th class='btn-primary' align='center'>Nit/Doc</th>";
	echo "<th class='btn-primary' align='center'>Nombre</th>";
	echo "<th class='btn-primary' align='center'>Direccion</th>";
	echo "<th class='btn-primary' align='center'>Telefono</th>";
	echo "<th class='btn-primary' align='center'>Email</th>";
	echo "<th class='btn-primary' align='center'>Contacto</th>";
    echo "<th class='btn-primary' align='center'>Estado</th>";
	echo "</tr></thead><tbody>";	
	$nombre=str_replace('*','%',$nombre);
	$sql_datosresalida=mysqli_query($conexion,"SELECT id,nombre,direccion,telefono,email,contacto,estado,nit
										 from $tabla
										 order by nombre asc");
	$c=1; 
	while($datos= mysqli_fetch_row($sql_datosresalida))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $direccion=$datos[2];
		   $telefono=$datos[3];
		   $email=$datos[4];
		   $contacto=$datos[5];
		   $estado=$datos[6];
		   $nit=$datos[7];

 			$rs_estado=mysqli_query($conexion,"SELECT id,nombre FROM estado  where id='".$estado."'");
				while($datoses= mysqli_fetch_row($rs_estado)){ $nestado=$datoses[1];}
		    
			echo " <tr >";
					 echo "<td align='center'><a href='tercero.php?tabla=$tabla&id=$id' class='btn btn-primary'>$id</td>";
					 echo "<td align='center'><a href='tercero.php?tabla=$tabla&id=$id' class='btn btn-primary'>$nit</td>";
					 echo "<td>".$nombre."</td>";
					 echo "<td>".$direccion."</td>";
					 echo "<td>".$telefono."</td>";
					 echo "<td>".$email."</td>";
					 echo "<td>".$contacto."</td>";
					 echo "<td>".$nestado."</td>";					
					 echo "</tr>";
		 }
	 echo "</tbody></table></center>"; 
  
  
  ?>
  </div>
  </div>

 
</div>
  
 
 
<SCRIPT type=text/javascript>

function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.parametros.oguardar.value=0; 
				return false;
				}
			else
			  { document.parametros.oguardar.value=1; 
				document.parametros.submit(); 
				return true;
			  }
	   } 
	  else {
		document.parametros.oguardar.value=0;
		    return false; 
	  }
	})
}  

function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   { 
	   		document.parametros.omodificar.value=1; 
			document.parametros.submit(); 
			return true;
	   } 
	  else 
	   {
		 	document.parametros.omodificar.value=0;
		    return false; 
	  }
	})
}  

function valida_campos()
{   var mensaje='';
//return true;
		 if(document.parametros.nombre.value!=''){}
		 else {mensaje=mensaje + 'Nombre';    }
		 if(document.parametros.direccion.value!=''){}
		 else {mensaje=mensaje + 'Direccion';    }
		  if(document.parametros.nit.value!=''){}
		 else {mensaje=mensaje + 'Nit/Documento';    }

		if(document.parametros.nombre.value!='' && document.parametros.direccion.value!='' && document.parametros.nit.value!=''){return true;}
		else {
			  cuteAlert({
						  type: "error",
						  title: "JACOME",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
						
			  return false;
			 }


}

</script>

  <script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  
	if (tecla==46){
        return true;
    } 
	
	if (tecla==120 || tecla==88){
        return true;
    } 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>


<script src="../plugins/jquery/jquery.min.js"></script>
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins/jszip/jszip.min.js"></script>
<script src="../plugins/pdfmake/pdfmake.min.js"></script>
<script src="../plugins/pdfmake/vfs_fonts.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, 
	  "lengthChange": false, 
	  "autoWidth": false,
      "buttons": ["excel"],
	  "order": [ 0, 'desc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
  });
</script>


</form>

</body>
</html>
